# AutoReleasePool class

## Constructors

AutoReleasePool.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

addObject(AutoReleasable obj) → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
releaseAll() → void
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

globalPull ↔ AutoReleasePool?
  getter/setter pair
globalPullReferences ↔ int
  getter/setter pair